Pull to refresh

Используем Webex в Linux

Configuring Linux *

Проблема


Webex использует 32битные Linux библиотеки для своей работы, поэтому работать в 64битной системе (а такие сейчас практически все десктопные Linux) отказывается.
% file ~/.webex/12_1324/libwelsvp.so
/home/user/.webex/12_1324/libwelsvp.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, stripped

Выражается это в том, что вы не слышите и вас не слышат. Ошибка «The Audio Device is Unaccessible Now» — это с большой долей вероятности оно.

Обращение в службу поддержки компании Cisco и их ответ дали мне некоторую пищу для размышлений
Hello Andrey,
Thank you for contacting the Corporate Support Team!
This is to inform about the Linux support base with we webex meetings will not be supported with 64 bit. yes

Поразмышлял об индусском английском немного.
О том, что Cisco положило болт на пользователей Linux, размышлять не хотелось, и так очевидно.

Решение


Решение после всего этого достаточно очевидно. Поставить винду и настроить 32битные версии браузера (я буду рассматривать Firefox) и Java и запускать Webex-конференции в этой связке.
Рассматриваемый дистрибутив — Ubuntu, для других дистрибутивов решение будет отличаться только установкой 32битных библиотек.

Firefox

Создаем в home директорию 32bit, куда мы и поставим все наше добро.

% mkdir ~/32bit
% cd ~/32bit

Скачиваем и распаковываем последнюю 32битную версию Firefox (на 24.12.2012 это 17.0.1.)

% wget http://releases.mozilla.org/pub/mozilla.org/firefox/releases/latest/linux-i686/ru/firefox-17.0.1.tar.bz2
% tar -jxf firefox-17.0.1.tar.bz2

Сразу создадим директорию для плагинов

% mkdir ~/32bit/firefox/plugins


Ставим 32битные библиотеки (для вашего дистрибутива команда может отличаться)

% sudo apt-get install ia32-libs


Если при старте firefox сыпет в консоль ошибки вида

(firefox:7106): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: неправильный класс ELF: ELFCLASS64

то поставьте еще 32битный appmenu-gtk (для вашего дистрибутива команда может отличаться)

% sudo apt-get install appmenu-gtk:i386


Дальнейшие шаги нужны тем, кто использует Firefox в качестве основного браузера (как я). Мы создадим новый профиль и будем запускать его для webex.
Запускаем отдельный инстанс Firefox и менеджер профилей, чтобы создать новый профиль.

% firefox/firefox --no-remote -P

В появившемся окне создаем профиль 32bit.


В дальнейшем мы будем запускать 32битный Firefox командой

% firefox/firefox --no-remote -P 32bit


Предварительные проверки

В запущенном Firefox стоит проверить:
  • about:plugins — должно быть пусто
  • about:buildconfig — Build platform target должен быть i686-pc-linux-gnu


Java

Скачиваем в ~/32bit и распаковываем 32битную версию JDK 6 с сайта Oracle на странице
www.oracle.com/technetwork/java/javase/downloads/jdk6u38-downloads-1877406.html
Нам нужен Linux x86 файл — в настоящий момент это jdk-6u38-linux-i586.bin

Скажу сразу, начал я с 7ой версии, но webex упорно не видел библиотеку libjawt.so, а когда я ему подсовывал ее насильно — просто падал. Если у вас нет девушки — попробуйте его уговорить, но 6ая версия более податливая.

% sh ./jdk-6u38-linux-i586.bin


Устанавливаем Java-плагин в браузер

% cd ~/32bit/firefox/plugins
% ln -s ~/32bit/jdk1.6.0_38/jre/lib/i386/libnpjp2.so .


Скрипт для запуска

Создаем файл ~/32bit/firefox.sh с содержанием

#!/bin/bash
export ENV_HOME=~/32bit
export FIREFOX_HOME=$ENV_HOME/firefox
export MOZ_PLUGIN_PATH=$FIREFOX_HOME/plugins
export JDK_HOME=$ENV_HOME/jdk1.6.0_38
export JAVA_HOME=$JDK_HOME/jre
export PATH=$JAVA_HOME/bin:$JDK_HOME/bin:$PATH
$FIREFOX_HOME/firefox --no-remote -P 32bit


Делаем исполняемым
% chmod +x ~/32bit/firefox.sh


Запускаем ~/32bit/firefox.sh, проверяем
about:plugins — видим Java плагин

Установка закончена, звук в webex должен заработать.

Удаление

Если вам хочется вернуть систему в первоначальный вид, то нужно сделать два шага.
  • Удалить профиль 32bit из Firefox
  • Удалить директорию ~/32bit


14.04

В 14.04 надо будет установить еще libxmu6:i386
Tags:
Hubs:
Total votes 14: ↑10 and ↓4 +6
Views 28K
Comments Comments 12